Bug 43446 - BUGZILLAASSISTANT: Drop-down lists properties need fine tuning
Summary: BUGZILLAASSISTANT: Drop-down lists properties need fine tuning
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Rainer Bielefeld Retired
URL:
Whiteboard: BSA
Keywords: difficultyBeginner, easyHack, skillInfra, skillScript, topicQA, topicWeb
Depends on:
Blocks:
 
Reported: 2011-12-01 18:08 UTC by Ed
Modified: 2015-12-15 12:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed 2011-12-01 18:08:44 UTC
There are 3 drop-down lists on the LibreOffice bug reporting page (at https://www.libreoffice.org/get-help/bug/), for Component, Sub-component and Version.  Each of these has a vertical scrollbar, and the Sub-component one also has a horizontal scrollbar.  Why?  It means extra clicks to get what you want.  Having to scroll a list horizontally is especially unjustifiable, unless there are very long lines in it (in which case the wrong text has probably been chosen for such lines).  In the case of the Version list, the commonest choices - the later versions - are always at the bottom of the list and will always need to be scrolled to.  

I would suggest that at least the Component and Sub-component drop-down lists be resized so that they don't need to be scrolled in any direction at all.  The Version list is longer, so it may not be realistic to resize it in this way.  Perhaps, for this one, have a shorter top-level list containing just the major and minor version numbers ('LibO 3.3', 'LibO 3.4', etc), and have sublists and sub-sublists come from each of these to choose the point release number ('LibO 3.4.4' etc) and the release phase ('RC1' etc).  
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:8.0.1) Gecko/20100101 Firefox/8.0.1
Comment 1 Rainer Bielefeld Retired 2011-12-01 23:31:07 UTC
Reproducible with Seamonkey or Firefox, at least for Component "WWW" Sub component selector has a horizontal scroll bar.

I doubt that there can be found a general final solution, because the assistant reads contents of those boxes from Bugzilla and Wikipedia, you can never know how many Sub components and how long strings might come.

But I agree the settings for those boxes need fine tuning without touching basic functions:

1. Optimize relation character size to box width so that for currently known 
   strings no horizontal scrolling will be required.
2. Check whether number of list entries where vertical scroll bar appears can be
   increased (I believe that would improve handling)
3. Keep alphanumeric sort order in selectors.
3.1. Component: I corrected sort order on
     <https://wiki.documentfoundation.org/BugReport_Details>, so this selector
     will have alphabetic order after next assistant update. We will have to
     finish that page. 
3.2. Subcomponent: That also can be done by sorting entries in Wiki, 
      I will proceed
3.3 Versions: Sort order is correct, and current behavior is intended. We want
    to force the reporter to select a version, because of that default is 
    "choose". This item is WONTFIX
4. Component Icons: I do not understand the sort order.

Assigning to me for wiki cleanup, I will reassign when that's done
Comment 2 Rainer Bielefeld Retired 2011-12-01 23:53:12 UTC
I already checked and cirrected (where necessary) alphabetic sort order in
Template:BugzAssHlp BASIC 
Template:BugzAssHlp Chart 
Template:BugzAssHlp Database 
Template:BugzAssHlp Documentation 
Template:BugzAssHlp Drawing 
Template:BugzAssHlp Extensions 
Template:BugzAssHlp PDF export 
Template:BugzAssHlp UI 
Template:BugzAssHlp WWW 
Template:BugzAssHlp contrib 

Rest will be done during weekend when remaining components will get their templates. May be someone wants to help?
Comment 3 Petr Mladek 2011-12-13 11:45:11 UTC
See
http://wiki.documentfoundation.org/Bug_Submission_Assistant#Installation_and_maintainance
where to start debugging.
Comment 4 Stéphane Aulery 2012-08-11 01:30:30 UTC
Deteted "Easyhack" from summary
Comment 5 Rob Snelders 2012-11-23 19:26:00 UTC
The width-problem is solved with the fix for bug 57266.

[1]: https://bugs.freedesktop.org/show_bug.cgi?id=57266
Comment 6 Rob Snelders 2013-03-15 20:46:48 UTC
The width-problems where already solved.
The version-selectors are now newest-version first.

The exclution of the inactive version is in bug: 55460. Please refer to there for the last problem.
Comment 7 Robinson Tryon (qubit) 2015-12-15 12:20:15 UTC
Migrating Whiteboard tags to Keywords: ( EasyHack DifficultyBeginner SkillScript SkillInfra TopicWeb TopicQA)
[NinjaEdit]